#!/usr/bin/env python3
import gi
gi.require_version('UDisks', '2.0')
from gi.repository import UDisks
c = UDisks.Client.new_sync()
for obj in c.get_object_manager().get_objects():
	block = obj.props.block
	if not block:
		continue
	drive = c.get_drive_for_block(block)
	if not drive:
		continue
	data = {
		'vendor': drive.props.vendor,
		'model': drive.props.model,
		'device': block.props.device,
		'media_removable': drive.props.media_removable,
		'removable': drive.props.removable,
	}
	print('{}'.format(data))
